Package org.opensaml.saml.saml2.core.impl

# Class NameIDPolicyImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.saml.saml2.core.impl.NameIDPolicyImpl

All Implemented Interfaces:
  `XMLObject`, `SAMLObject`, `NameIDPolicy`

public class NameIDPolicyImpl extends AbstractXMLObject implements NameIDPolicy
Concrete implementation of `NameIDPolicy`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private XSBooleanValue`
`allowCreate`
NameID Format URI.
`private String`
`format`
NameID Format URI.
`private String`
`spNameQualifier`
NameID Format URI.

### Fields inherited from interface org.opensaml.saml.saml2.core.NameIDPolicy

`ALLOW_CREATE_ATTRIB_NAME, DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, FORMAT_ATTRIB_NAME, SP_NAME_QUALIFIER_ATTRIB_NAME, TYPE_LOCAL_NAME, TYPE_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`NameIDPolicyImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Boolean`
`getAllowCreate()`
Gets the AllowCreate value.
`XSBooleanValue`
`getAllowCreateXSBoolean()`
Gets the AllowCreate value.
`String`
`getFormat()`
Gets the format of the NameIDPolicy.
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`String`
`getSPNameQualifier()`
Gets the SPNameQualifier value.
`void`
`setAllowCreate(Boolean newAllowCreate)`
Sets the AllowCreate value.
`void`
`setAllowCreate(XSBooleanValue newAllowCreate)`
Sets the AllowCreate value.
`void`
`setFormat(String newFormat)`
Sets the format of the NameIDPolicy.
`void`
`setSPNameQualifier(String newSPNameQualifier)`
Sets the SPNameQualifier value.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### format

@Nullable private String format
NameID Format URI.

### spNameQualifier

@Nullable private String spNameQualifier
NameID Format URI.

### allowCreate

@Nullable private XSBooleanValue allowCreate
NameID Format URI.

## Constructor Details

### NameIDPolicyImpl

protected NameIDPolicyImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the namespace the element is in
  `elementLocalName` - the local name of the XML element this Object represents
  `namespacePrefix` - the prefix for the given namespace

## Method Details

### getFormat

@Nullable public String getFormat()
Gets the format of the NameIDPolicy.

Specified by:
  `getFormat` in interface `NameIDPolicy`
Returns:
  the format of the NameIDPolicy

### setFormat

public void setFormat(@Nullable String newFormat)
Sets the format of the NameIDPolicy.

Specified by:
  `setFormat` in interface `NameIDPolicy`
Parameters:
  `newFormat` - the format of the NameIDPolicy

### getSPNameQualifier

@Nullable public String getSPNameQualifier()
Gets the SPNameQualifier value.

Specified by:
  `getSPNameQualifier` in interface `NameIDPolicy`
Returns:
  the SPNameQualifier value

### setSPNameQualifier

public void setSPNameQualifier(@Nullable String newSPNameQualifier)
Sets the SPNameQualifier value.

Specified by:
  `setSPNameQualifier` in interface `NameIDPolicy`
Parameters:
  `newSPNameQualifier` - the SPNameQualifier value

### getAllowCreate

@Nullable public Boolean getAllowCreate()
Gets the AllowCreate value.

Specified by:
  `getAllowCreate` in interface `NameIDPolicy`
Returns:
  the AllowCreate value

### getAllowCreateXSBoolean

@Nullable public XSBooleanValue getAllowCreateXSBoolean()
Gets the AllowCreate value.

Specified by:
  `getAllowCreateXSBoolean` in interface `NameIDPolicy`
Returns:
  the AllowCreate value

### setAllowCreate

public void setAllowCreate(@Nullable Boolean newAllowCreate)
Sets the AllowCreate value. Boolean values will be marshalled to either "true" or "false".

Specified by:
  `setAllowCreate` in interface `NameIDPolicy`
Parameters:
  `newAllowCreate` - the AllowCreate value

### setAllowCreate

public void setAllowCreate(@Nullable XSBooleanValue newAllowCreate)
Sets the AllowCreate value.

Specified by:
  `setAllowCreate` in interface `NameIDPolicy`
Parameters:
  `newAllowCreate` - the AllowCreate value

### getOrderedChildren

@Nullable @NotLive @Unmodifiable public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Returns:
  ordered list of child elements